
Redmine - Defect #9611

Sidebar

2011-11-19 22:42 - Kaushik Ramkrishnan

Status: Closed Start date: 2011-11-19

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.3

Description

The sidebar is not aligning to the right of the content window instead it is floating down. I tried changing the float property in the

base.rhtml file but still it goes to the bottom. Please help me out. I am attaching a screenshot of the same

History

#1 - 2011-11-20 10:51 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

This problem doesn't occur with default themes.

#2 - 2011-11-21 16:26 - Kaushik Ramkrishnan

- File Sidebar.png added

Sir,

It is happening with default theme too.

#3 - 2011-11-21 23:49 - Mischa The Evil

I'm not able to reproduce this with the default themes on a vanilla Redmine (source:/trunk@7853) either.

#4 - 2011-11-22 18:11 - Kaushik Ramkrishnan

Sir,

It happened when I created a sub project and then deleted the same. After I went back to the issue list for the parent project,the issue list floated to

the right and when I went to check the base.rhtml file, I could see that the content and sidebar statements were not as it should be. I was able to fix

the floating issue list but the sidebar still sticks to the bottom on the right side. I also tried using the clear property for it, and it was still the same.

Below is the code snippet from that file.

<%= tag('div', {:id => 'main', :class => (has_content?(:sidebar) ? '' : 'nosidebar')}, true) %>

&lt;div id="content"&gt;

                               <%= render_flash_messages >

       <= yield >

       <= call_hook :view_layouts_base_content %>

                       &lt;div style="clear:none;"&gt;&lt;/div&gt;

   &lt;/div&gt;

 
&lt;div id="sidebar"&gt;        

       <%= yield :sidebar >

       <= call_hook :view_layouts_base_sidebar %>

   &lt;/div&gt;

 </div>
